var scriptName = "HitCounter";
var scriptAuthor = "SpoilerRules";
var scriptVersion = 1.0;

var Hits = new HitsCounter();
var HitsClient;

var EntityLivingBase = Java.type('net.minecraft.entity.EntityLivingBase');

function HitsCounter() {
	var time = 0;
	var target = 0;
	var hits = 0;
	this.getName = function() {
		return "Hits";
	};
	
	this.getDescription = function() {
		return "Counts Hit";
	};
	
	this.getCategory = function () {
		return "Combat";
	};
	
	this.getTag = function () {
		return hits.toString();
	}
	
	this.onAttack = function () {
		target = event.getTargetEntity();
		hits++;
	}
	
	this.onPacket = function (event) {
		time = 0;
	}
	
	this.onUpdate = function () {
		time++; 
	}
	
	this.onDisable = function () {
		hits = 0;
	}
}

function onLoad() {
};

function onEnable() {
	HitsClient = moduleManager.registerModule(Hits);
};

function onDisable() {
	moduleManager.unregisterModule(HitsClient);
};